<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: FBSDKShareMessengerGenericTemplateContent Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#properties">Properties</a> &#124;
<a href="interface_f_b_s_d_k_share_messenger_generic_template_content-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">FBSDKShareMessengerGenericTemplateContent Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#import &lt;<a class="el" href="_f_b_s_d_k_share_messenger_generic_template_content_8h_source.html">FBSDKShareMessengerGenericTemplateContent.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for FBSDKShareMessengerGenericTemplateContent:</div>
<div class="dyncontent">
 <div class="center">
  <img src="interface_f_b_s_d_k_share_messenger_generic_template_content.png" usemap="#FBSDKShareMessengerGenericTemplateContent_map" alt=""/>
  <map id="FBSDKShareMessengerGenericTemplateContent_map" name="FBSDKShareMessengerGenericTemplateContent_map">
<area href="protocol_f_b_s_d_k_sharing_content-p.html" alt="&lt;FBSDKSharingContent&gt;" shape="rect" coords="298,112,586,136"/>
<area href="protocol_f_b_s_d_k_copying-p.html" alt="&lt;FBSDKCopying&gt;" shape="rect" coords="149,56,437,80"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="properties"></a>
Properties</h2></td></tr>
<tr class="memitem:a2729cd86fb1bb560e8a2d85c365548ac"><td class="memItemLeft" align="right" valign="top">BOOL&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_f_b_s_d_k_share_messenger_generic_template_content.html#a2729cd86fb1bb560e8a2d85c365548ac">isSharable</a></td></tr>
<tr class="separator:a2729cd86fb1bb560e8a2d85c365548ac"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a921bbeba79f9f11c4f532c4da2510d38"><td class="memItemLeft" align="right" valign="top">FBSDKShareMessengerGenericTemplateImageAspectRatio&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_f_b_s_d_k_share_messenger_generic_template_content.html#a921bbeba79f9f11c4f532c4da2510d38">imageAspectRatio</a></td></tr>
<tr class="separator:a921bbeba79f9f11c4f532c4da2510d38"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4de281965d3187dbd91195762a3d306c"><td class="memItemLeft" align="right" valign="top"><a class="el" href="interface_f_b_s_d_k_share_messenger_generic_template_element.html">FBSDKShareMessengerGenericTemplateElement</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_f_b_s_d_k_share_messenger_generic_template_content.html#a4de281965d3187dbd91195762a3d306c">element</a></td></tr>
<tr class="separator:a4de281965d3187dbd91195762a3d306c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header properties_protocol_f_b_s_d_k_sharing_content-p"><td colspan="2" onclick="javascript:toggleInherit('properties_protocol_f_b_s_d_k_sharing_content-p')"><img src="closed.png" alt="-"/>&#160;Properties inherited from <a class="el" href="protocol_f_b_s_d_k_sharing_content-p.html">&lt;FBSDKSharingContent&gt;</a></td></tr>
<tr class="memitem:af1a334ad35323e1f865fd46b6c30f0c8 inherit properties_protocol_f_b_s_d_k_sharing_content-p"><td class="memItemLeft" align="right" valign="top">NSURL *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="protocol_f_b_s_d_k_sharing_content-p.html#af1a334ad35323e1f865fd46b6c30f0c8">contentURL</a></td></tr>
<tr class="separator:af1a334ad35323e1f865fd46b6c30f0c8 inherit properties_protocol_f_b_s_d_k_sharing_content-p"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac94d818680e7a36895593c377d4fb6a1 inherit properties_protocol_f_b_s_d_k_sharing_content-p"><td class="memItemLeft" align="right" valign="top"><a class="el" href="interface_f_b_s_d_k_hashtag.html">FBSDKHashtag</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="protocol_f_b_s_d_k_sharing_content-p.html#ac94d818680e7a36895593c377d4fb6a1">hashtag</a></td></tr>
<tr class="separator:ac94d818680e7a36895593c377d4fb6a1 inherit properties_protocol_f_b_s_d_k_sharing_content-p"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a07031f755deb87e88a8c0765c9d6651d inherit properties_protocol_f_b_s_d_k_sharing_content-p"><td class="memItemLeft" align="right" valign="top">NSArray *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="protocol_f_b_s_d_k_sharing_content-p.html#a07031f755deb87e88a8c0765c9d6651d">peopleIDs</a></td></tr>
<tr class="separator:a07031f755deb87e88a8c0765c9d6651d inherit properties_protocol_f_b_s_d_k_sharing_content-p"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8af542b311e24d38c73221d81d250399 inherit properties_protocol_f_b_s_d_k_sharing_content-p"><td class="memItemLeft" align="right" valign="top">NSString *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="protocol_f_b_s_d_k_sharing_content-p.html#a8af542b311e24d38c73221d81d250399">placeID</a></td></tr>
<tr class="separator:a8af542b311e24d38c73221d81d250399 inherit properties_protocol_f_b_s_d_k_sharing_content-p"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5ea294c3c5b2fd923d00ea95fc19a20d inherit properties_protocol_f_b_s_d_k_sharing_content-p"><td class="memItemLeft" align="right" valign="top">NSString *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="protocol_f_b_s_d_k_sharing_content-p.html#a5ea294c3c5b2fd923d00ea95fc19a20d">ref</a></td></tr>
<tr class="separator:a5ea294c3c5b2fd923d00ea95fc19a20d inherit properties_protocol_f_b_s_d_k_sharing_content-p"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a40d489778fb41ff543a64f983da7cae3 inherit properties_protocol_f_b_s_d_k_sharing_content-p"><td class="memItemLeft" align="right" valign="top">NSString *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="protocol_f_b_s_d_k_sharing_content-p.html#a40d489778fb41ff543a64f983da7cae3">pageID</a></td></tr>
<tr class="separator:a40d489778fb41ff543a64f983da7cae3 inherit properties_protocol_f_b_s_d_k_sharing_content-p"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a297b66007d1dcc922a455d232af25e33 inherit properties_protocol_f_b_s_d_k_sharing_content-p"><td class="memItemLeft" align="right" valign="top">NSString *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="protocol_f_b_s_d_k_sharing_content-p.html#a297b66007d1dcc922a455d232af25e33">shareUUID</a></td></tr>
<tr class="separator:a297b66007d1dcc922a455d232af25e33 inherit properties_protocol_f_b_s_d_k_sharing_content-p"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_methods_protocol_f_b_s_d_k_copying-p"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_protocol_f_b_s_d_k_copying-p')"><img src="closed.png" alt="-"/>&#160;Instance Methods inherited from <a class="el" href="protocol_f_b_s_d_k_copying-p.html">&lt;FBSDKCopying&gt;</a></td></tr>
<tr class="memitem:a93cd1625db2e893f0880c1093e4caf0c inherit pub_methods_protocol_f_b_s_d_k_copying-p"><td class="memItemLeft" align="right" valign="top">(id)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="protocol_f_b_s_d_k_copying-p.html#a93cd1625db2e893f0880c1093e4caf0c">copy</a></td></tr>
<tr class="separator:a93cd1625db2e893f0880c1093e4caf0c inherit pub_methods_protocol_f_b_s_d_k_copying-p"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>A model for sharing a generic template element to Messenger. This wrapper element allows specifying whether or not the bubble is sharable and what aspect to render the images. See <a href="https://developers.facebook.com/docs/messenger-platform/send-messages/template/generic">https://developers.facebook.com/docs/messenger-platform/send-messages/template/generic</a> for more details. </p>
</div><h2 class="groupheader">Property Documentation</h2>
<a id="a4de281965d3187dbd91195762a3d306c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4de281965d3187dbd91195762a3d306c">&#9670;&nbsp;</a></span>element</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (<a class="el" href="interface_f_b_s_d_k_share_messenger_generic_template_element.html">FBSDKShareMessengerGenericTemplateElement</a>*) element</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">copy</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>A generic template element with a title, optional subtitle, optional image, etc. Required. </p>

</div>
</div>
<a id="a921bbeba79f9f11c4f532c4da2510d38"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a921bbeba79f9f11c4f532c4da2510d38">&#9670;&nbsp;</a></span>imageAspectRatio</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (FBSDKShareMessengerGenericTemplateImageAspectRatio) imageAspectRatio</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>The aspect ratio for when the image is rendered in the generic template bubble after being shared. Defaults to horizontal. </p>

</div>
</div>
<a id="a2729cd86fb1bb560e8a2d85c365548ac"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2729cd86fb1bb560e8a2d85c365548ac">&#9670;&nbsp;</a></span>isSharable</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (BOOL) isSharable</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>This specifies whether or not this generic template message can be shared again after the initial share. Defaults to false. </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="_f_b_s_d_k_share_messenger_generic_template_content_8h_source.html">FBSDKShareMessengerGenericTemplateContent.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
